%define upstream_name    MP3-Find
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    File::Find-based backend to MP3::Find
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MP3/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(MP3::Info)
BuildRequires: perl(Scalar::Util)
BuildArch: noarch

%description
This module allows you to search for MP3 files by their ID3 tags. You can
ask for the results to be sorted by one or more of those tags, and return
either the list of filenames (the default), a 'printf'-style formatted
string for each file using its ID3 tags, or the actual Perl data structure
representing the results.

There are currently two backends to this module: MP3::Find::Filesystem
and MP3::Find::DB. You choose which one you want by
passing its name as the argument to you 'use' statement; *MP3::Find* will
look for a *MP3::Find::$BACKEND* module. If no backend name is given, it
will default to using MP3::Find::Filesystem.

*Note:* I'm still working out some kinks in the DB backend, so it is
currently not as stable as the Filesystem backend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/mp3db
/usr/bin/mp3find
%{_mandir}/man1/mp3db.1*
%{_mandir}/man1/mp3find.1*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.70.0-11.mga10
+ Revision: 2199993
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.70.0-10.mga9
+ Revision: 1804798
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-9.mga8
+ Revision: 1495747
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.70.0-8.mga7
+ Revision: 1269880
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-7.mga6
+ Revision: 1030782
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.70.0-6.mga6
+ Revision: 947587
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 743016
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 685302
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 369353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163487
- imported package perl-MP3-Find


* Sat Nov 05 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
